﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        ' 方法１
        With ComboBox1
            .Items.Add(New ComboItem("商品Ａ", "101"))
            .Items.Add(New ComboItem("商品Ｂ", "102"))
            .Items.Add(New ComboItem("商品Ｃ", "121"))
            .Items.Add(New ComboItem("商品Ｄ", "211"))
            .Items.Add(New ComboItem("商品Ｅ", "212"))
        End With
        ' 方法２（27ページの参考欄の方法）
        'Dim ComboItems As New ArrayList()
        'With ComboItems
        '    .Add(New ComboItem("商品Ａ", "101"))
        '    .Add(New ComboItem("商品Ｂ", "102"))
        '    .Add(New ComboItem("商品Ｃ", "121"))
        '    .Add(New ComboItem("商品Ｄ", "211"))
        '    .Add(New ComboItem("商品Ｅ", "212"))
        'End With
        'With ComboBox1
        '    .DisplayMember = "ItemName"
        '    .ValueMember = "ItemCode"
        '    .DataSource = ComboItems
        'End With
    End Sub

    ' OKボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        Dim name As String = ""
        Dim code As String = ""
        If ComboBox1.SelectedItem Is Nothing Then
            name = ComboBox1.Text
        Else
            ' 方法１
            Dim itemSelected As ComboItem = ComboBox1.SelectedItem
            name = itemSelected.ItemName
            code = itemSelected.ItemCode
            ' 方法２（27ページの参考欄の方法）
            'name = ComboBox1.SelectedItem.ToString()
            'code = ComboBox1.SelectedValue.ToString()
        End If
        MessageBox.Show(name & vbCrLf & code)
    End Sub
End Class

Public Class ComboItem
    Private NameValue As String
    Private CodeValue As String

    Public Sub New(ByVal name As String, ByVal code As String)
        NameValue = name
        CodeValue = code
    End Sub

    Public Property ItemName() As String
        Get
            Return NameValue
        End Get
        Set(ByVal Value As String)
            NameValue = Value
        End Set
    End Property

    Public Property ItemCode() As String
        Get
            Return CodeValue
        End Get
        Set(ByVal Value As String)
            CodeValue = Value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return NameValue
    End Function
End Class

