﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As Object, _
                           ByVal e As System.EventArgs) Handles Me.Load
        Dim fontSizes() As String = {"8", "9", "10", "12", "16", "20", "24"}
        ToolStripComboBox1.Items.AddRange(fontSizes)
        ToolStripComboBox1.Text = 9
    End Sub

    ' 文字列の選択変更処理
    Private Sub RichTextBox1_SelectionChanged(ByVal sender As Object, _
                                              ByVal e As System.EventArgs) _
                                          Handles RichTextBox1.SelectionChanged
        Dim isSelect As Boolean = (RichTextBox1.SelectedText <> "")
        ToolStripButton1.Enabled = isSelect
        ToolStripButton2.Enabled = isSelect
    End Sub

    ' 切り取りボタンの押下処理
    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, _
                                       ByVal e As System.EventArgs) _
                                   Handles ToolStripButton1.Click
        RichTextBox1.Cut()
    End Sub

    ' コピーボタンの押下処理
    Private Sub ToolStripButton2_Click(ByVal sender As System.Object, _
                                       ByVal e As System.EventArgs) _
                                   Handles ToolStripButton2.Click
        RichTextBox1.Copy()
    End Sub

    ' 貼り付けボタンの押下処理
    Private Sub ToolStripButton3_Click(ByVal sender As System.Object, _
                                       ByVal e As System.EventArgs) _
                                   Handles ToolStripButton3.Click
        RichTextBox1.Paste()
    End Sub

    ' フォントサイズ変更のキー入力処理
    Private Sub ToolStripComboBox1_KeyDown(ByVal sender As Object, _
                                           ByVal e As System.Windows.Forms.KeyEventArgs) _
                                       Handles ToolStripComboBox1.KeyDown
        If e.KeyData = Keys.Enter Then
            Dim sizeValue As Single
            If Single.TryParse(ToolStripComboBox1.Text, sizeValue) Then
                With RichTextBox1
                    .SelectionFont = New Font(.SelectionFont.Name, sizeValue)
                    .Select()
                End With
            End If
            e.SuppressKeyPress = True
        End If
    End Sub

    ' フォントサイズ変更の選択処理
    Private Sub ToolStripComboBox1_SelectedIndexChanged( _
                                        ByVal sender As Object, _
                                        ByVal e As System.EventArgs) _
                                    Handles ToolStripComboBox1.SelectedIndexChanged
        With RichTextBox1
            .SelectionFont = New Font(.SelectionFont.Name, CSng(ToolStripComboBox1.Text))
            .Select()
        End With
    End Sub

    ' 赤色メニューの選択処理
    Private Sub 赤色ToolStripMenuItem_Click(ByVal sender As System.Object, _
                                          ByVal e As System.EventArgs) _
                                      Handles 赤色ToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Red
    End Sub

    ' 青色メニューの選択処理
    Private Sub 青色ToolStripMenuItem_Click(ByVal sender As System.Object, _
                                          ByVal e As System.EventArgs) _
                                      Handles 青色ToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Blue
    End Sub

    ' 黒色メニューの選択処理
    Private Sub 黒色ToolStripMenuItem_Click(ByVal sender As System.Object, _
                                          ByVal e As System.EventArgs) _
                                      Handles 黒色ToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Black
    End Sub
End Class
