﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        EventLog1.MachineName = "."
        EventLog1.Log = "Application"
        TextBox1.Text = "SampleApp"
    End Sub

    ' 書き込みボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        Try
            Dim source As String = TextBox1.Text
            Dim level As EventLogEntryType
            Dim id As Integer
            If source <> "" Then
                If Not EventLog.SourceExists(source) Then
                    EventLog.CreateEventSource(source, "Application")
                End If
                If RadioButton1.Checked Then
                    level = EventLogEntryType.Information
                    id = 1
                ElseIf RadioButton2.Checked Then
                    level = EventLogEntryType.Warning
                    id = 2
                Else
                    level = EventLogEntryType.Error
                    id = 3
                End If
                EventLog1.Source = source
                EventLog1.WriteEntry(TextBox2.Text, level, id)
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "書き込み")
        End Try
    End Sub

    ' 最新エントリの取得ボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        Dim source As String = TextBox1.Text
        If source <> "" Then
            Dim count As Integer = EventLog1.Entries.Count
            For i As Integer = count - 1 To 0 Step -1
                With EventLog1.Entries(i)
                    If .Source = source Then
                        Dim writeDate As String = _
                            EventLog1.Entries(count - 1).TimeGenerated.ToString()
                        Dim message As String = EventLog1.Entries(count - 1).Message
                        MessageBox.Show("記録日時：" & writeDate & ControlChars.CrLf & _
                                        "内容：" & message, "最新エントリの取得")
                        Exit Sub
                    End If
                End With
            Next
        End If
        MessageBox.Show("指定したソース名のログはありません。", "最新エントリの取得")
    End Sub
End Class
