﻿' 使用上の注意 ---------------------------------------------------------
' マイドキュメントに「RichTextSample.rtf」というファイル名で保存します。
' 開くことのできるファイルも、このファイルに限定しています。
' ----------------------------------------------------------------------

Public Class Form1
    ' [ファイル]-[開く]メニューの選択処理
    Private Sub 開くOToolStripMenuItem_Click(ByVal sender As System.Object, _
                                             ByVal e As System.EventArgs) _
                                         Handles 開くOToolStripMenuItem.Click
        Dim myDocument As String = My.Computer.FileSystem.SpecialDirectories.MyDocuments
        RichTextBox1.LoadFile(myDocument & "\RichTextSample.rtf")
    End Sub

    ' [ファイル]-[保存]メニューの選択処理
    Private Sub 保存SToolStripMenuItem_Click(ByVal sender As System.Object, _
                                             ByVal e As System.EventArgs) _
                                         Handles 保存SToolStripMenuItem.Click
        Dim myDocument As String = My.Computer.FileSystem.SpecialDirectories.MyDocuments
        RichTextBox1.SaveFile(myDocument & "\RichTextSample.rtf")
    End Sub

    ' [編集]-[切り取り]メニューの選択処理
    Private Sub 切り取りTToolStripMenuItem_Click(ByVal sender As System.Object, _
                                                 ByVal e As System.EventArgs) _
                                             Handles 切り取りTToolStripMenuItem.Click
        RichTextBox1.Cut()
    End Sub

    ' [編集]-[コピー]メニューの選択処理
    Private Sub コピーCToolStripMenuItem_Click(ByVal sender As System.Object, _
                                               ByVal e As System.EventArgs) _
                                           Handles コピーCToolStripMenuItem.Click
        RichTextBox1.Copy()
    End Sub

    ' [編集]-[貼り付け]メニューの選択処理
    Private Sub 貼り付けPToolStripMenuItem_Click(ByVal sender As System.Object, _
                                                 ByVal e As System.EventArgs) _
                                             Handles 貼り付けPToolStripMenuItem.Click
        RichTextBox1.Paste()
    End Sub

    ' [スタイル]-[見出し]メニューの選択処理
    Private Sub 見出しToolStripMenuItem_Click(ByVal sender As System.Object, _
                                              ByVal e As System.EventArgs) _
                                          Handles 見出しToolStripMenuItem.Click
        With RichTextBox1
            .SelectionIndent = 0
            .SelectionFont = New Font(.Font.Name, 12, FontStyle.Bold)
            .SelectionBullet = False
        End With
    End Sub

    ' [スタイル]-[本文]メニューの選択処理
    Private Sub 本文ToolStripMenuItem_Click(ByVal sender As System.Object, _
                                            ByVal e As System.EventArgs) _
                                        Handles 本文ToolStripMenuItem.Click
        With RichTextBox1
            .SelectionIndent = 10
            .SelectionFont = New Font(.Font.Name, 9, FontStyle.Regular)
            .SelectionBullet = False
        End With
    End Sub

    ' [スタイル]-[箇条書き]メニューの選択処理
    Private Sub 箇条書きToolStripMenuItem_Click(ByVal sender As System.Object, _
                                                ByVal e As System.EventArgs) _
                                            Handles 箇条書きToolStripMenuItem.Click
        With RichTextBox1
            .SelectionIndent = 20
            .SelectionFont = New Font(.Font.Name, 9, FontStyle.Regular)
            .SelectionBullet = True
        End With
    End Sub

    ' [色]-[赤]メニューの選択処理
    Private Sub 赤RToolStripMenuItem_Click(ByVal sender As System.Object, _
                                           ByVal e As System.EventArgs) _
                                       Handles 赤RToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Red
    End Sub

    ' [色]-[青]メニューの選択処理
    Private Sub 青SToolStripMenuItem_Click(ByVal sender As System.Object, _
                                           ByVal e As System.EventArgs) _
                                       Handles 青SToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Blue
    End Sub

    ' [色]-[黒]メニューの選択処理
    Private Sub 黒BToolStripMenuItem_Click(ByVal sender As System.Object, _
                                           ByVal e As System.EventArgs) _
                                       Handles 黒BToolStripMenuItem.Click
        RichTextBox1.SelectionColor = Color.Black
    End Sub

    ' URL表記文字列のクリック処理
    Private Sub RichTextBox1_LinkClicked(ByVal sender As Object, _
                                         ByVal e As System.Windows.Forms.LinkClickedEventArgs) _
                                     Handles RichTextBox1.LinkClicked
        System.Diagnostics.Process.Start(e.LinkText)
    End Sub
End Class
