﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        OpenFileDialog1.InitialDirectory = _
                    My.Computer.FileSystem.SpecialDirectories.MyDocuments
        OpenFileDialog1.Filter = _
                    "すべてのファイル (*.*)|*.*|" & _
                    "画像ファイル (*.jpg; *.bmp)|*.jpg;*.bmp|" & _
                    "文書ファイル (*.txt; *.rtf; *.doc)|*.txt;*.rtf;*.doc"
    End Sub

    ' ファイルの選択ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        Dim result As DialogResult
        OpenFileDialog1.Multiselect = False
        OpenFileDialog1.FileName = ""
        result = OpenFileDialog1.ShowDialog
        TextBox1.Text = ""
        If result = Windows.Forms.DialogResult.OK Then
            TextBox1.Text = OpenFileDialog1.FileName
        End If
    End Sub

    ' ファイルの複数選択ボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        Dim result As DialogResult
        OpenFileDialog1.Multiselect = True
        OpenFileDialog1.FileName = ""
        result = OpenFileDialog1.ShowDialog
        ListBox1.Items.Clear()
        If result = Windows.Forms.DialogResult.OK Then
            For Each file As String In OpenFileDialog1.FileNames
                ListBox1.Items.Add(file)
            Next
        End If
    End Sub
End Class
